bitel.billing.server.util

## Class MailMsg

- java.lang.Object
- - bitel.billing.server.util.MailMsg

-     public class MailMsg
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.log4j.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailMsg(Preferences setup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendMessage(java.lang.String recipients, java.lang.String subject, javax.mail.Multipart mp)` Отправляет письмо адресату
    `void` | `sendMessage(java.lang.String recipients, java.lang.String subject, java.lang.String text)` Отправляет простое текствое письмо адресату

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.apache.log4j.Logger log

  - ### Constructor Detail

    - #### MailMsg

          public MailMsg(Preferences setup)

  - ### Method Detail

    - #### sendMessage

          public void sendMessage(java.lang.String recipients,
                                  java.lang.String subject,
                                  java.lang.String text)
                           throws ru.bitel.bgbilling.common.BGException

      Отправляет простое текствое письмо адресату
      Parameters:
        `recipients` - адресат
        `subject` - тема
        `text` - сообщение
      Throws:
        `javax.mail.MessagingException`
        `ru.bitel.bgbilling.common.BGException`

    - #### sendMessage

          public void sendMessage(java.lang.String recipients,
                                  java.lang.String subject,
                                  javax.mail.Multipart mp)
                           throws ru.bitel.bgbilling.common.BGException

      Отправляет письмо адресату
      Parameters:
        `recipients` - адресат(ы)
        `subject` - тема
        `multipart` - тело сообщения
      Throws:
        `ru.bitel.bgbilling.common.BGException`